import { clear, successLog } from "./console.js";
import PackageManager from "./packageManager.js";
import { copyProjectFiles, getSelectedType } from "./util.js";

export async function create(projectName){
  clear();
  const type = await getSelectedType(projectName);
  clear();
  await copyProjectFiles(projectName);
  const packageManager = PackageManager;
  packageManager.init(projectName);
  packageManager.addModules(type);
  await packageManager.install();
  successLog(projectName);
}